Exponential 6.0.13 Exponential Enterprise Open Source CMS - PHP Class Reference

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
eZSubTreeHandler Class Reference

The class eZSubTreeHandler does. More...

Inheritance diagram for eZSubTreeHandler:

## Public Member Functions
| __construct ()
| attributes ()
| hasAttribute ( $attr)
| attribute ( $attr)
| handle ( $event)
| handlePublishEvent ( $event, &$parameters)
| sendMessage ( $event, $parameters)
| subscribedNodes ( $user=false)
| fetchHttpInput ( $http, $module)
| cleanup ()
Public Member Functions inherited from eZNotificationEventHandler
| __construct ( $idString, $name)
| storeSettings ( $http, $module)

## Static Public Member Functions
static | rules ( $user=false, $offset=false, $limit=false)
static | rulesCount ( $user=false)

## Public Attributes
const | NOTIFICATION_HANDLER_ID = 'ezsubtree'
const | TRANSPORT = 'ezmail'
Public Attributes inherited from eZNotificationEventHandler
const | EVENT_HANDLED = 0
const | EVENT_SKIPPED = 1
const | EVENT_UNKNOWN = 2
const | EVENT_ERROR = 3
| $IDString = false
| $Name = false

## Detailed Description

The class eZSubTreeHandler does.

Definition at line 17 of file ezsubtreehandler.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZSubTreeHandler::__construct | ( |  | ) |

Definition at line 22 of file ezsubtreehandler.php.

## Member Function Documentation

## ◆ attribute()

eZSubTreeHandler::attribute | ( |  | $attr | ) |

Reimplemented from eZNotificationEventHandler.

Definition at line 39 of file ezsubtreehandler.php.

References eZNotificationEventHandler\attribute(), eZUser\currentUser(), rules(), and subscribedNodes().

## ◆ attributes()

eZSubTreeHandler::attributes | ( |  | ) |

Reimplemented from eZNotificationEventHandler.

Definition at line 27 of file ezsubtreehandler.php.

References eZNotificationEventHandler\attributes().

Referenced by hasAttribute().

## ◆ cleanup()

eZSubTreeHandler::cleanup | ( |  | ) |

Cleanup any specific tables or other resources.

Reimplemented from eZNotificationEventHandler.

Definition at line 331 of file ezsubtreehandler.php.

References eZSubtreeNotificationRule\cleanup().

## ◆ fetchHttpInput()

eZSubTreeHandler::fetchHttpInput | ( |  | $http,
|  |  | $module
| ) |  |

Reimplemented from eZNotificationEventHandler.

Definition at line 284 of file ezsubtreehandler.php.

References eZContentBrowse\browse(), eZSubtreeNotificationRule\create(), eZUser\currentUser(), eZSubtreeNotificationRule\definition(), eZSubtreeNotificationRule\fetchList(), eZSubtreeNotificationRule\fetchNodesForUserID(), and eZPersistentObject\removeObject().

## ◆ handle()

eZSubTreeHandler::handle | ( |  | $event | ) |

Reimplemented from eZNotificationEventHandler.

Definition at line 54 of file ezsubtreehandler.php.

References eZNotificationEventHandler\EVENT_HANDLED, handlePublishEvent(), sendMessage(), and eZDebugSetting\writeDebug().

## ◆ handlePublishEvent()

eZSubTreeHandler::handlePublishEvent | ( |  | $event,
|  | & | $parameters
| ) |  |

Definition at line 69 of file ezsubtreehandler.php.

References eZNotificationCollection\create(), eZNotificationEventHandler\EVENT_HANDLED, eZNotificationEventHandler\EVENT_SKIPPED, eZTemplate\factory(), eZGeneralDigestUserSettings\fetchByUserId(), eZSubtreeNotificationRule\fetchUserList(), eZLocale\instance(), eZTemplateDesignResource\instance(), eZNotificationSchedule\setDateForItem(), eZGeneralDigestUserSettings\TYPE_DAILY, eZGeneralDigestUserSettings\TYPE_MONTHLY, eZGeneralDigestUserSettings\TYPE_WEEKLY, and eZDebug\writeError().

Referenced by handle().

## ◆ hasAttribute()

eZSubTreeHandler::hasAttribute | ( |  | $attr | ) |

Reimplemented from eZNotificationEventHandler.

Definition at line 34 of file ezsubtreehandler.php.

References attributes().

## ◆ rules()

static eZSubTreeHandler::rules | ( |  | $user = `false`,
|  |  | $offset = `false`,
|  |  | $limit = `false`
| ) |  |
| static

Definition at line 262 of file ezsubtreehandler.php.

References eZUser\currentUser(), and eZSubtreeNotificationRule\fetchList().

Referenced by attribute().

## ◆ rulesCount()

static eZSubTreeHandler::rulesCount | ( |  | $user = `false` | ) |
| static

Definition at line 273 of file ezsubtreehandler.php.

References eZUser\currentUser(), and eZSubtreeNotificationRule\fetchListCount().

## ◆ sendMessage()

eZSubTreeHandler::sendMessage | ( |  | $event,
|  |  | $parameters
| ) |  |

Definition at line 219 of file ezsubtreehandler.php.

References eZNotificationCollection\fetchForHandler(), eZNotificationTransport\instance(), and eZDebugSetting\writeDebug().

Referenced by handle().

## ◆ subscribedNodes()

eZSubTreeHandler::subscribedNodes | ( |  | $user = `false` | ) |

Definition at line 251 of file ezsubtreehandler.php.

References eZUser\currentUser(), and eZSubtreeNotificationRule\fetchNodesForUserID().

Referenced by attribute().

## Member Data Documentation

## ◆ NOTIFICATION_HANDLER_ID

const eZSubTreeHandler::NOTIFICATION_HANDLER_ID = 'ezsubtree'

Definition at line 19 of file ezsubtreehandler.php.

## ◆ TRANSPORT

const eZSubTreeHandler::TRANSPORT = 'ezmail'

Definition at line 20 of file ezsubtreehandler.php.

The documentation for this class was generated from the following file:

- ezsubtreehandler.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.